{
    "executionEnvironments": [
        {
            "root": "."
        }
    ],
    "typeCheckingMode": "basic", // Hoặc "strict" nếu bạn muốn kiểm tra kỹ hơn
    "include": [
        "**/*.py"
    ],
    "exclude": [
        "**/node_modules",
        "**/__pycache__",
        "**/preference"
    ],
    // *** Phần quan trọng: Diagnostic Settings ***
    "reportMissingTypeStubs": false, // <-- Tắt cảnh báo về việc thiếu Type Stubs (vd: thư viện bên thứ 3)
    "reportUnknownMemberType": "warning", // <-- Chỉ hiển thị ở mức cảnh báo, không phải lỗi
    "reportUnannotatedClassAttribute": false // <-- Tắt cảnh báo về thuộc tính class thiếu chú thích kiểu
}